iTerrainCellCollisionProperties Struct Reference (Crystal Space 2.0 Public API Reference)

| ## Public API Reference

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
iTerrainCellCollisionProperties Struct Reference

This is a base class for per-cell collider-specific properties. More...

`#include <imesh/terrain2.h>`

Inheritance diagram for iTerrainCellCollisionProperties:

List of all members.

## Public Member Functions
virtual csPtr < iTerrainCellCollisionProperties > | Clone ()=0
| Get a copy of the properties object.
virtual bool | GetCollidable () const =0
| Get collidable flag (if it is not set, the cell does not collide with anything).
virtual size_t | GetParameterCount ()=0
| Get number of parameters this object has set.
virtual const char * | GetParameterName (size_t index)=0
| Get name of a parameter.
virtual void | SetCollidable (bool value)=0
| Set collidable flag.
virtual void | SetParameter (const char *param, const char *value)=0
| Set named parameter.
virtual const char * | GetParameterValue (size_t index)=0
| Get value of a parameter.
virtual const char * | GetParameterValue (const char *name)=0
| Get value of a parameter.

## Detailed Description

This is a base class for per-cell collider-specific properties.

The classes which hold the collision-related data that is specific to a given cell and collider.

Definition at line 114 of file terrain2.h.

## Member Function Documentation

virtual csPtr<iTerrainCellCollisionProperties> iTerrainCellCollisionProperties::Clone | ( |  | ) | `[pure virtual]`

Get a copy of the properties object.

virtual bool iTerrainCellCollisionProperties::GetCollidable | ( |  | ) | const`[pure virtual]`

Get collidable flag (if it is not set, the cell does not collide with anything).

Returns:
  collidable flag

virtual size_t iTerrainCellCollisionProperties::GetParameterCount | ( |  | ) | `[pure virtual]`

Get number of parameters this object has set.

virtual const char* iTerrainCellCollisionProperties::GetParameterName | ( | size_t | index | ) | `[pure virtual]`

Get name of a parameter.

virtual const char* iTerrainCellCollisionProperties::GetParameterValue | ( | size_t | index | ) | `[pure virtual]`

Get value of a parameter.

virtual const char* iTerrainCellCollisionProperties::GetParameterValue | ( | const char * | name | ) | `[pure virtual]`

Get value of a parameter.

virtual void iTerrainCellCollisionProperties::SetCollidable | ( | bool | value | ) | `[pure virtual]`

Set collidable flag.

Parameters:

  value | new flag value

virtual void iTerrainCellCollisionProperties::SetParameter | ( | const char * | param,
|  | const char * | value
| ) |  | `[pure virtual]`

Set named parameter.

Parameters:

  param | parameter name
  value | parameter value

The documentation for this struct was generated from the following file:

- imesh/terrain2.h